declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    count: {
        type: import('vue').PropType<number>;
        required: true;
    };
    showAll: {
        type: import('vue').PropType<boolean>;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    clear: () => void;
    "show-selected": () => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<boolean>;
    count: {
        type: import('vue').PropType<number>;
        required: true;
    };
    showAll: {
        type: import('vue').PropType<boolean>;
    };
}>> & Readonly<{
    onClear?: () => any;
    "onShow-selected"?: () => any;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
